/*----------------------------------------------------------------------------------
*
* COPYRIGHT (c) 2001 by Singing Electrons, Inc. All rights reserved.
*
* This document contains confidential proprietary trade secrets of Singing Electrons, Inc.  
* No distribution of the contents of this file is allowed except by written permission by an officer 
* of Singing Electrons, Inc.
*
* Module Name			: C:\se\adi\audioclass\vdsp\ac97.h
*
* Description			: Prototypes and definitions for using ac97 module.
*
*
* Revision History	: At bottom of the file.
*
*---------------------------------------------------------------------------------*/

/** include files **/

/* default settings */
#define NUM_PACKETS_TO_BUFFER 8
#define MAX_DATA_BUFFER_SIZE (48 * 2 * 2 * NUM_PACKETS_TO_BUFFER)

/** external data **/
extern UINT gDataBufferHead;
extern UINT gDataBufferTail;
extern UCHAR gDataBuffer[MAX_DATA_BUFFER_SIZE];


/** public data **/


/** public functions **/
bool AC97_Init (void);
void AC97_EnablePlayback (void);
void AC97_DisablePlayback (void);
void AC97_SetVolumeAndMute (USHORT leftVol, USHORT rightVol, UCHAR mute);






/*----------------------------------------------------------------------------------
* $Log: ac97.h,v $
* Revision 1.3  2003/01/17 00:46:25  Devendra
* - Increased the buffer size.
*
* Revision 1.2  2003/01/16 19:00:33  Devendra
* Changed "exported" function names to include AC97 prefix.
* Added routine to set volume and mute registers.
*
* Revision 1.1  2003/01/11 17:19:33  Devendra
* - Communication with the AC97 is working!
*
*
*---------------------------------------------------------------------------------*/
